#!/bin/sh

DEST=$(grep "#define DEPLOY_DEST" config.h | awk '{print $3}' | sed -e 's/"//g')
IDENT=$(grep "#define DEPLOY_IDENT" config.h | awk '{print $3}' | sed -e 's/"//g')

if [ -z "$1" ]; then
  rsync -avK -e "ssh -i ~/.ssh/${IDENT}" --delete ../ ${DEST}
elif [ "$1" = "--resync" ]; then
  rsync -avk -e "ssh -i ~/.ssh/${IDENT}" --delete ${DEST} ../
fi
